<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');
$directory = basename(dirname($_SERVER['PHP_SELF'])); 

// Sprache
$translator->addTranslation('translation',CPO_BASEDIR.$activeModules['Editor']['directory'].'/lang');
if ( is_array($activeModules['Editor']['editors']) )  {
	foreach ($activeModules['Editor']['editors'] as $k=>$v)  {
		$translator->addTranslation('translation', CPO_BASEDIR . $activeModules['Editor']['directory'] . '/editors/' . $k . '/lang');
	}
}
// Seitenausgabe ********************************************************
include(CPO_BASEDIR.$activeModules['Editor']['directory'].'/includes/producer.inc.php');

// Header
require(CPO_BASEDIR.'_include/header.php');

include(CPO_BASEDIR.$activeModules['Editor']['directory'].'/includes/inc_options.inc.php');

// Footer
include(CPO_BASEDIR.'_include/footer.php');

?>