<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

    $keymd5 = md5($key); // added for 4.1.x compatibility

    $html_texts[] = $keymd5; // this allows to add a javascript which puts all iframes into the hidden field later

    printf('<iframe id="iframe_%1$s" name="%1$s" frameborder="0" height="200" class="iframe inputwidth"></iframe>',
        $keymd5
    );
    printf('<input type="hidden" name="content[%s][html]" id="feld_%s" value="">', 
        htmlspecialchars($key, ENT_COMPAT, 'ISO-8859-15'), 
        $keymd5
    );
    print(help('articles-createarticle.html#articles-createarticle-articlecontent-texts-html'));

    $text_value = $content[$key]['html'];
    // to avoid problems with the document.writeln below
    $text_value = preg_replace ('/(\015\012|\015|\012)/', ' ', $text_value);
    $text_value = addslashes($text_value);
    $text_value = str_replace('</', '<\/', $text_value);
    ?>
    <script type="text/javascript">
        iframe = document.getElementById('iframe_<?php echo $keymd5; ?>').contentWindow.document;
        iframe.open();
        iframe.write('<html><head>');
        <?php 
        if (!empty($cpoSystem['CSSURL'])) {
            echo 'iframe.write(\'<link rel="stylesheet" type="text/css" href="'.$cpoSystem['CSSURL'].'">\');';
        }
        if (!empty($cpoSystem['bodyId'])) {
            echo 'var bodyId = \'id="' . $cpoSystem['bodyId'] . '"\';';
        } else 
            echo 'var bodyId = \'\';';
        echo "\n";
        ?>
        iframe.write('</head><body ' + ((typeof bodyId!='undefined') ? bodyId : '') + '><?php echo $text_value; ?></body></html>');
        iframe.close();
    </script>

    <?php
    printf('<br /><a href="#text_%1$s" onClick="editorwindow = window.open(\''.BASE_REL.'_editor/editor.php?saveto=iframe_%1$s&%2s\', \'editor_popup\', \'dependent=yes, width=750, height=580, resizable=yes, status=yes\');">'
        .'<img src="'.SKIN_URL.'edit.gif" width="20" height="18" align="absmiddle" alt="%3$s" />%3$s'
        .'</a>',
        $keymd5,
        SID,
        ___('-edit')
    );
    if (version_compare($CPO['version'], '4.1.0') >= 0) {
        echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
        printf('<a href="#text_%1$s" onClick="if (confirm(\'%4$s\')) {iframe = document.getElementById(\'iframe_%1$s\').contentWindow; iframe.document.write(); iframe.document.close();}">'
            .'<img src="' . SKIN_URL . 'clear.gif" width="20" height="18" align="absmiddle" alt="%3$s" />%3$s'
            .'</a>',
            $keymd5,
            SID,
            ___('-clear'),
            ___('Are you sure you want to clear this HTML field?')
        );
        echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
        printf('<a href="#" onClick="a = document.getElementById(\'iframe_%1$s\'); if (a.offsetHeight>60) a.style.height = a.offsetHeight-50 + \'px\'; return false;">' .
               '<img src="' . SKIN_URL . 'decrease.gif" width="20" height="18" align="absmiddle" alt="%2$s" />%2$s</a>', 
            $keymd5,
            ___('-decrease height')
        );
        echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
        printf('<a href="#" onClick="a = document.getElementById(\'iframe_%1$s\'); a.style.height = a.offsetHeight+50 + \'px\'; return false">' .
               '<img src="' . SKIN_URL . 'enlarge.gif" width="20" height="18" align="absmiddle" alt="%2$s" />%2$s</a>', 
            $keymd5,
            ___('-increase height')
        );
    }
?>