<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

$editorspecs['tinyMCE']	=	array (
			'caption'	=> 'tinyMCE 3',
			'directory'	=>	'_tinyMCE',
			'toolbar'	=>	'ConPresso tinyMCE 3',
			'height'	=>	'500',
			'CSS'		=>	BASE_ABS.'_cfg/style.css.dist',
			'toolbars'		=>	array (
				'ConPresso Standard',
				'ConPresso Midi',
				'ConPresso Mini',
				'Original tinyMCE'
				),
			'languages'		=>	array (
				'deutsch' => 'de',
				'test' => 'test',
				'english' => 'en'
				)
			);

$toolbarspecs['tinyMCE']	= array (
	'Original tinyMCE' =>
	'
// Loading plugins
plugins : "safari,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,imagemanager,filemanager",

// Theme options
theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,spellchecker,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,blockquote,pagebreak,|,insertfile,insertimage",
theme_advanced_toolbar_location : "top",
theme_advanced_toolbar_align : "left",
theme_advanced_statusbar_location : "bottom",
theme_advanced_resizing : false,
theme_advanced_fonts : "Arial,Times,Tahoma,Verdana",
	',
	'ConPresso Standard' =>
	'
// Loading plugins
plugins : "safari,table,template,inlinepopups,contextmenu",

// Theme options
theme_advanced_buttons1 : "newdocument,|,cut,copy,paste,|,link,unlink,tablecontrols,|,code,help",
theme_advanced_buttons2 : "undo,redo,|,justifyleft,justifycenter,justifyright,justifyfull,|,forecolor,backcolor,|,bold,italic,underline,sub,sup,removeformat,|,indent,outdent,|,numlist,bullist,hr",
theme_advanced_buttons3 : "styleselect,formatselect,fontselect,fontsizeselect,template,image",
theme_advanced_toolbar_location : "top",
theme_advanced_toolbar_align : "left",
theme_advanced_statusbar_location : "bottom",
theme_advanced_resizing : false,
theme_advanced_fonts : "Arial,Times,Tahoma,Verdana",
	',
	'ConPresso Midi' =>
	'
// Loading plugins
plugins : "safari,table,template,inlinepopups,contextmenu",

// Theme options
theme_advanced_buttons1 : "cut,copy,paste,|,undo,redo,|,numlist,bullist,|,link,unlink,image,|,code,help",
theme_advanced_buttons2 : "justifyleft,justifycenter,justifyright,justifyfull,|,forecolor,|,bold,italic,underline,|,formatselect,fontsizeselect",
theme_advanced_buttons3 : "",
theme_advanced_toolbar_location : "top",
theme_advanced_toolbar_align : "left",
theme_advanced_statusbar_location : "bottom",
theme_advanced_resizing : false,
	',
	'ConPresso Mini' =>
	'
// Loading plugins
plugins : "safari,inlinepopups,contextmenu",

// Theme options
theme_advanced_buttons1 : "cut,copy,paste,|,undo,redo,|,justifyleft,justifycenter,justifyright,justifyfull,|,forecolor,backcolor,|,bold,italic,underline,|,indent,outdent,|,numlist,bullist,|,link,unlink,image,|,help",
theme_advanced_buttons2 : "",
theme_advanced_buttons3 : "",
theme_advanced_toolbar_location : "top",
theme_advanced_toolbar_align : "left",
theme_advanced_statusbar_location : "none",
theme_advanced_resizing : false,
	'
	);

?>