<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

// Options for tinyMCE4
$editor_options = '';

// Toolbar
$editor_options = '<tr>';
$editor_options .= '<td class="leftrow">';
$editor_options .= __('Toolbar:');
$editor_options .= '</td>';

$editor_options .= '<td class="rightrow">';

$select_string = '';
foreach ($activeModules['Editor']['editors']['tinyMCE4']['toolbars'] as $value)  {
	$editor_options .= '<input type="hidden" name="cpoEditorNew[editors][tinyMCE4][toolbars][]" value="'.$value.'">';
	$selected = ($activeModules['Editor']['editors']['tinyMCE4']['toolbar'] == $value) ? ' selected="selected"' : '';
	$select_string .= '<option value="'.$value.'"'.$selected.'>'.__($value).'</option>';
}
$editor_options .= '<select name="cpoEditorNew[editors][tinyMCE4][toolbar]">';
$editor_options .= $select_string;
$editor_options .= '</select> ';
$editor_options .= '</td>';
$editor_options .= '</tr>';

// Height
$editor_options .= '<tr>';
$editor_options .= '<td class="leftrow">';
$editor_options .= __('Edit area height:');
$editor_options .= '</td>';

$editor_options .= '<td class="rightrow">';

$editor_options .= '<input type="text" class="text" name="cpoEditorNew[editors][tinyMCE4][height]" value="'.$activeModules['Editor']['editors']['tinyMCE4']['height'].'" size="5"> '.__('pixels');
$editor_options .= '</td>';
$editor_options .= '</tr>';


foreach ($activeModules['Editor']['editors']['tinyMCE4']['languages'] as $key=>$value)  {
	$editor_options .= '<input type="hidden" name="cpoEditorNew[editors][tinyMCE4][languages]['.$key.']" value="'.$value.'">';
}

?>