<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

if ($_SESSION['SID_rubric_id']) {

?>

	<!-- tinyMCE4 -->
	<script type="text/javascript" src="<?php echo BASE_ABS.$activeModules['Editor']['editors']['tinyMCE4']['directory']; ?>/tinymce.min.js"></script>
	<script type="text/javascript">
		tinymce.init({
			// General options
			//mode : "specific_textareas",
			selector : "textarea.mceEditor",
			//theme : "advanced",
			// Example content CSS (should be your site CSS)
			content_css : "<?php echo $cpoSystem['CSSURL']; ?>",
            body_id: "<?php echo $cpoSystem['bodyId']; ?>",
			language : "<?php echo $activeModules['Editor']['editors']['tinyMCE4']['languages'][$_SESSION['SID_user']['language']]; ?>",
			<?php 
				
			if ($activeModules['Editor']['user_opt'][$_SESSION['SID_user']['id']]['show'] == 1)
			{
				echo $toolbarspecs['tinyMCE4'][$activeModules['Editor']['user_opt'][$_SESSION['SID_user']['id']]['toolbar']]; 
			}
			else
			{
				echo $toolbarspecs['tinyMCE4'][$activeModules['Editor']['editors']['tinyMCE4']['toolbar']]; 
			}

			?>

			// Drop lists for link/image/media/template dialogs
			templates : [ <?php
                $query = "SELECT snippet, name FROM ".CPO_SNIPPET." "
                        ."WHERE rubric_id=".$_SESSION['SID_rubric_id']." OR rubric_id=-1 ORDER BY name";
                $db = new DB;
                $db->query($query);

                while($db->next_record()) {
                    $snipptes[] = sprintf("	{ title: '%s', description: '%s', url: '%s' }",
                        $db->v('name'),
                        $db->v('name'),
                        BASE_ABS.$activeModules['Editor']['directory'].'/editors/tinyMCE4/lists/template_list.js.php?snippet='.urlencode($db->v('name'))
                    );
                    
                }
                echo implode(", ",$snipptes);

                ?> ],
			link_list : [ <?php

                $db = new DB;
                $query = "SELECT id, name, directory "
                        ."FROM ".CPO_RUBRIC." "
                        .'ORDER BY name';
                $db->query($query);
                while($db->next_record()) {
                    $links[] = sprintf(" { title: '%s', value: '%s' }",
                        htmlspecialchars($db->v('name')),
                        htmlspecialchars(BASE_ABS.$db->v('directory').'/index.php?rubric='.urlencode($db->v('name')))
                    );
                    
                }
                echo implode(",\n",$links);

            ?> ],
			image_list : "<?php echo BASE_ABS.$activeModules['Editor']['directory']; ?>/editors/tinyMCE4/lists/image_list.js.php",
            //textcolor_map : ["000000","Black","993300","Burnt orange"],

			the_end : "Ende"

		});
	</script>
	<style>
		table.colored .mceEditor td { padding: 0; background: #eee;}
	</style>
	<!-- /tinyMCE4 -->
<?php
}
?>