<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

if (!defined('CPO')) exit;

function reset_Editor_values($key, $value, $name)  { // wird hier eher nicht gebraucht...
	$GLOBALS['message'][] = sprintf(__('Your input <i>%s</i> is not a valid value for "%s", so "%s" was reset to its previous value!'), $value, $name, $name);
	unset ($_POST['cpoEditorNew'][$key]);
}

function check_settings_Editor($new, $active)  { // wird hier eher nicht gebraucht...
	global $activeModules;
	if (!is_numeric(license($activeModules['Editor']['lkey'],$activeModules['Editor']['mod_id']))) return;
	if ($new['width'] == '' || !is_numeric($new['width']))
		reset_Editor_values('width',$_POST['cpoEditorNew']['width'], __('width'));
	if ($new['height'] == '' || !is_numeric($new['height']))
		reset_Editor_values('height',$_POST['cpoEditorNew']['height'], __('height'));
	if ($new['screenx'] == '' || !is_numeric($new['screenx']))
		reset_Editor_values('screenx',$_POST['cpoEditorNew']['screenx'], __('width'));
	if ($new['screeny'] == '' || !is_numeric($new['screeny']))
		reset_Editor_values('screeny',$_POST['cpoEditorNew']['screeny'], __('height'));
	if ($new['prefix'] == '')
		reset_Editor_values('prefix',$_POST['cpoEditorNew']['prefix'], __('image prefix'));
	if ($new['quality'] == '' || !is_numeric($new['quality']) || $new['quality'] < 1 || $new['quality'] > 100) 
		reset_Editor_values('quality',$_POST['cpoEditorNew']['quality'], __('JPEG quality'));
}


if (!function_exists('save_modulesettings'))  {
	function save_modulesettings($new_array, $active_array)  {
		global $activeModules;
		$new_settings = $_POST;
		foreach ($activeModules[$active_array] as $k=>$v) {
			if (!isset($_POST[$new_array][$k])) continue;
			if (is_bool($activeModules[$active_array][$k])) {
				$activeModules[$active_array][$k] = (bool) $_POST[$new_array][$k];
			}
			else $activeModules[$active_array][$k] = $_POST[$new_array][$k];
			if (array_key_exists($k, $new_settings[$new_array])) unset($new_settings[$new_array][$k]);
		}
		foreach ($new_settings[$new_array] as $k=>$v) {
			$activeModules[$active_array][$k] = $new_settings[$new_array][$k];
	}
		$query = sprintf(
				 "UPDATE ".CPO_MODULES." SET options ="
				." '%s' WHERE name = '".$active_array."'", 
				addslashes(serialize($activeModules[$active_array]))
		);
		DEBUG(1, $query, __FILE__, __LINE__);
		$db = new DB;
		$db->query($query); 
		$GLOBALS['message'][] = __('Module settings were updated!');   
	}
}

?>