<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

$md5key = md5($key); // added for 4.1.x compatibility

if ($activeModules['Editor']['user_opt'][$_SESSION['SID_user']['id']]['show'] == 1)
{
    $area_texts[] = $md5key; // this allows to add a javascript which puts all iframes into the hidden field later
	printf('<textarea id="text_%s" name="%s" style="height:%spx; width:%s;" class="mceEditor">%s</textarea>', 
		$md5key,
		$md5key,
		($activeModules['Editor']['user_opt'][$_SESSION['SID_user']['id']]['height']) ? $activeModules['Editor']['user_opt'][$_SESSION['SID_user']['id']]['height'] : $activeModules['Editor']['editors']['tinyMCE']['height'],
		'95%',
		htmlspecialchars($content[$key]['html'])
	);
    printf('<input type="hidden" name="content[%s][html]" id="feld_%s" value="">', 
        htmlspecialchars($key), 
        $md5key
    );
    printf('<input type="hidden" name="md5[%s]" value="%s">', 
        htmlspecialchars($key), 
        $md5key
    );
}
else
{
    $area_texts[] = $md5key; // this allows to add a javascript which puts all iframes into the hidden field later
	printf('<textarea id="text_%s" name="%s" style="height:%spx; width:%s;" class="mceEditor">%s</textarea>', 
		$md5key,
		$md5key,
		$activeModules['Editor']['editors']['tinyMCE']['height'],
		'95%',
		htmlspecialchars($content[$key]['html'])
	);
    printf('<input type="hidden" name="content[%s][html]" id="feld_%s" value="">', 
        htmlspecialchars($key), 
        $md5key
    );
    printf('<input type="hidden" name="md5[%s]" value="%s">', 
        htmlspecialchars($key), 
        $md5key
    );
}
?>