<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

?>

	<!-- TinyMCE -->
	<script type="text/javascript" src="<?php echo BASE_ABS.$activeModules['Editor']['editors']['tinyMCE']['directory']; ?>/tiny_mce.js"></script>
	<script type="text/javascript">
		tinyMCE.init({
			// General options
			mode : "specific_textareas",
			editor_selector : "mceEditor",
			theme : "advanced",
			language : "<?php echo $activeModules['Editor']['editors']['tinyMCE']['languages'][$_SESSION['SID_user']['language']]; ?>",
			// Example content CSS (should be your site CSS)
			content_css : "<?php echo $cpoSystem['CSSURL']; ?>",
            body_id: "<?php echo $cpoSystem['bodyId']; ?>",
			<?php 
				
			if ($activeModules['Editor']['user_opt'][$_SESSION['SID_user']['id']]['show'] == 1)
			{
				echo $toolbarspecs['tinyMCE'][$activeModules['Editor']['user_opt'][$_SESSION['SID_user']['id']]['toolbar']]; 
			}
			else
			{
				echo $toolbarspecs['tinyMCE'][$activeModules['Editor']['editors']['tinyMCE']['toolbar']]; 
			}

			?>

			// Drop lists for link/image/media/template dialogs
			template_external_list_url : "<?php echo BASE_ABS.$activeModules['Editor']['directory']; ?>/editors/tinyMCE/lists/template_list.js.php",
			external_link_list_url : "<?php echo BASE_ABS.$activeModules['Editor']['directory']; ?>/editors/tinyMCE/lists/link_list.js.php",
			external_image_list_url : "<?php echo BASE_ABS.$activeModules['Editor']['directory']; ?>/editors/tinyMCE/lists/image_list.js.php",

			the_end : "Ende"

		});
	</script>
	<style>
		table.colored .mceEditor td { padding: 0; background: #eee;}
	</style>
	<!-- /TinyMCE -->
