<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

$editorspecs['tinyMCE4']	=	array (
			'caption'	=> 'tinyMCE 4',
			'directory'	=>	'_tinyMCE4',
			'toolbar'	=>	'ConPresso tinyMCE 4',
			'height'	=>	'500',
			'CSS'		=>	BASE_ABS.'_cfg/style.css.dist',
			'toolbars'		=>	array (
				'ConPresso Standard',
				'ConPresso Midi',
				'ConPresso Mini',
				'Original tinyMCE'
				),
			'languages'		=>	array (
				'deutsch' => 'de',
				'test' => 'test',
				'english' => 'en'
				)
			);

$toolbarspecs['tinyMCE4']	= array (

// Original *******************************************************************************
'Original tinyMCE' =>
'// Loading plugins
plugins: [
    "advlist autolink lists link image charmap print preview hr anchor pagebreak",
    "searchreplace wordcount visualblocks visualchars code fullscreen",
    "insertdatetime media nonbreaking save table contextmenu directionality",
    "emoticons template paste textcolor"
],
toolbar1: "undo redo | styleselect | bold italic underline | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image",
toolbar2: "print preview media | forecolor backcolor emoticons",

',


// ConPresso *******************************************************************************
'ConPresso Standard' =>
'
// Loading plugins
plugins: [
    "advlist autolink lists link image charmap preview hr anchor",
    "searchreplace wordcount visualblocks code fullscreen",
    "insertdatetime nonbreaking save table contextmenu directionality",
    "emoticons template paste textcolor"
],

toolbar1: "newdocument | cut copy paste | outdent indent bullist numlist  | link table image hr | code preview fullscreen",
toolbar2: "undo redo | alignleft aligncenter alignright alignjustify | forecolor backcolor | bold italic underline strikethrough superscript subscript | removeformat",
toolbar3: "styleselect | fontsizeselect | fontselect | template",

',


// ConPresso MIDI *******************************************************************************
'ConPresso Midi' =>
'
menubar: false,
statusbar: false,

// Loading plugins
plugins: [
    "advlist autolink lists link image charmap preview hr anchor",
    "searchreplace wordcount visualblocks code fullscreen",
    "insertdatetime nonbreaking save table contextmenu directionality",
    "emoticons template paste textcolor"
],

toolbar1: "newdocument | cut copy paste | outdent indent bullist numlist  | link table image template | code",
toolbar2: "undo redo | styleselect | alignleft aligncenter alignright | forecolor | bold italic underline | removeformat",


',

// ConPresso MINI *******************************************************************************
'ConPresso Mini' =>
'
menubar: false,
statusbar: false,

// Loading plugins
plugins : [ "advlist link image lists textcolor" ] ,

// Theme options
toolbar1: "undo | copy paste | styleselect forecolor | bold italic underline | alignleft aligncenter alignright | bullist numlist | link image",
'
);

?>