<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

// This is the language file for navigation and setup

$translation = array(
// navigation
'Editor choice'
=> 'Editor-Auswahl',
'Choose HTML-editor'
=> 'Auswahl eines HTML-Editors',
'In this view you can choose an editor and work on its setting.'
=> 'In dieser Ansicht knnen Sie einen Editor auswhlen und Einstellungen vornehmen.',
'Options'
=> 'Einstellungen',
'Options:'
=> 'Optionen:',
'Editor selection'
=> 'Editor-Auswahl',
'Default editor:'
=> 'Standard-Editor:',
'Caption:'
=> 'Angezeigter Name:',
'Assign editor'
=> 'Editor-Zuweisung',
'In this view you can assign an editor to the differnt users.'
=> 'In dieser Ansicht knnen Sie den verschiedenen Usern einen Editor zuweisen.',
'User'
=> 'Benutzer',
'individual settings'
=> 'individuelle Einstellungen',
'This is the editor that will be used for all users that have no specially assigned editor!'
=> 'Dies ist der Editor, der fr alle Benutzer verwendet wird, denen kein eigener Editor zugewiesen wurde!',
'The editor-module is not registered yet. This message will be shown until you register your evaluation-copy of the editor-module.'
=> 'Dies ist eine nicht-registrierte Version des Editor-Moduls! Diese Meldung wird angezeigt bis Sie ihre Test-Version des Editor-Moduls registriert haben.',
'Editor settings'
=> 'Editor-Einstellungen',
'In this view you work on some editor settings.'
=> 'In dieser Ansicht knnen Sie einige Editor-Einstellungen bearbeiten.',

'The editor <em>%s</em> was added to the editor module.'
=> 'Der Editor <em>%s</em> wurde dem Editor-Modul hinzugefgt.',
'The editor <em>%s</em> was removed to the editor module.'
=> 'Der Editor <em>%s</em> wurde aus dem Editor-Modul entfernt.',
'Do you really want to add the editor'
=> 'Wollen Sie wirklich den Editor',
'to the editor module?'
=> 'dem Editor-Modul hinzufgen?',
'Do you really want to remove the editor'
=> 'Wollen Sie wirklich den Editor',
'from the editor module?'
=> 'aus dem Modul Editor entfernen?',
'Available editors'
=> 'Verfgbare Editoren',
'In this view you add editors to the module.'
=> 'In dieser Ansicht knnen SIe weitere Editoren dem Modul hinzufgen.',
'Editors:'
=> 'Editoren:',

'Edit area height:'
=> 'Hhe des Editier-Bereiches:',
'pixels'
=> 'Pixel',


// manage
'The editor-module got activated.'
=> 'Das Editor-Modul wurde aktiviert.',
'The editor-module got deactivated.'
=> 'Das Editor-Modul wurde deaktiviert.',
'Please remove the module directory to finally uninstall the editor-module.'
=> 'Um das Modul vollstndig zu entfernen, mssen Sie jetzt nur noch das Modul-Verzeichnis lschen.',
'The editor-module was successfully installed!'
=> 'Das Editor-Modul wurde erfolgreich installiert!',
'options'
=> 'Einstellungen',
'read manual'
=> 'Handbuch',

'Module settings were updated!'
=> 'Die Moduleinstellungen wurden aktualisiert!',
'Save module settings'
=> 'Modul-Einstellungen speichern',

'enlarge'
=> 'vergrern',
'reduce'
=> 'verkleinern',



'english'
=> 'deutsch',

'yes'
=> 'ja',
'no'
=> 'nein'

);

?>